net.corda.node.services.statemachine

## Interface SessionInitResponse

- All Superinterfaces:
    ExistingSessionMessage, SessionMessage
  All Known Implementing Classes:
    SessionConfirm, SessionReject

      public SessionInitResponse
      extends ExistingSessionMessage

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `SessionInitResponse.DefaultImpls`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getInitiatorSessionId()`
    `long` | `getRecipientSessionId()`

    - ### Methods inherited from interface net.corda.node.services.statemachine.ExistingSessionMessage

      `getRecipientSessionId`

- - ### Method Detail

    - #### getInitiatorSessionId

          long getInitiatorSessionId()

    - #### getRecipientSessionId

          long getRecipientSessionId()